| Home | Libraries | People | FAQ | More

## Function template copy_if

boost::algorithm::copy_if — Copies all the elements from the input range that satisfy the predicate to the output range.

## Synopsis

    // In header: <boost/algorithm/cxx11/copy_if.hpp>

    template<typename Range, typename OutputIterator, typename Predicate>
      OutputIterator copy_if(const Range & r, OutputIterator result, Predicate p);

## Description

Parameters:

`p` | A predicate for testing the elements of the range
`r` | The input range
`result` | An output iterator to write the results into

Returns: | The updated output iterator